import{S as Al,i as Sl,s as Il,e as a,k as f,w as k,t as m,M as Dl,c as i,d as o,m as g,a as l,x,h as p,b as q,G as e,g as O,y as w,q as b,o as T,B as M,v as Nl,L}from"../../../chunks/vendor-hf-doc-builder.js";import{T as io}from"../../../chunks/Tip-hf-doc-builder.js";import{D as j}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as Q}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as Te}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as N}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Ll(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){O(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function Ql(E){let s,_,d,u,h;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=m("Example of feature extraction:"),d=f(),k(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of feature extraction:"),r.forEach(o),d=g(n),x(u.$$.fragment,n)},m(n,r){O(n,s,r),e(s,_),O(n,d,r),w(u,n,r),h=!0},p:L,i(n){h||(b(u.$$.fragment,n),h=!0)},o(n){T(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),M(u,n)}}}function Wl(E){let s,_,d,u,h,n,r,y;return r=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipeline"),h=m(":"),n=f(),k(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var R=l(d);u=p(R,"transformers.pipeline"),R.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),x(r.$$.fragment,c)},m(c,v){O(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),O(c,n,v),w(r,c,v),y=!0},p:L,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){T(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),M(r,c)}}}function Xl(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){O(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function Bl(E){let s,_,d,u,h;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=a("p"),_=m("Example of question answering:"),d=f(),k(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of question answering:"),r.forEach(o),d=g(n),x(u.$$.fragment,n)},m(n,r){O(n,s,r),e(s,_),O(n,d,r),w(u,n,r),h=!0},p:L,i(n){h||(b(u.$$.fragment,n),h=!0)},o(n){T(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),M(u,n)}}}function Hl(E){let s,_,d,u,h,n,r,y;return r=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipeline"),h=m(":"),n=f(),k(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var R=l(d);u=p(R,"transformers.pipeline"),R.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),x(r.$$.fragment,c)},m(c,v){O(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),O(c,n,v),w(r,c,v),y=!0},p:L,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){T(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),M(r,c)}}}function Vl(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){O(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function Ul(E){let s,_,d,u,h;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=m("Example of single-label classification:"),d=f(),k(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of single-label classification:"),r.forEach(o),d=g(n),x(u.$$.fragment,n)},m(n,r){O(n,s,r),e(s,_),O(n,d,r),w(u,n,r),h=!0},p:L,i(n){h||(b(u.$$.fragment,n),h=!0)},o(n){T(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),M(u,n)}}}function Gl(E){let s,_,d,u,h,n,r,y;return r=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipelines"),h=m(":"),n=f(),k(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var R=l(d);u=p(R,"transformers.pipelines"),R.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),x(r.$$.fragment,c)},m(c,v){O(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),O(c,n,v),w(r,c,v),y=!0},p:L,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){T(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),M(r,c)}}}function Jl(E){let s,_,d,u,h,n,r,y;return r=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=<span class="hljs-literal">True</span>)`}}),{c(){s=a("p"),_=m("Example using zero-shot-classification "),d=a("code"),u=m("transformers.pipelines"),h=m(":"),n=f(),k(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using zero-shot-classification "),d=i(v,"CODE",{});var R=l(d);u=p(R,"transformers.pipelines"),R.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),x(r.$$.fragment,c)},m(c,v){O(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),O(c,n,v),w(r,c,v),y=!0},p:L,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){T(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),M(r,c)}}}function Yl(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){O(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function Kl(E){let s,_,d,u,h;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){s=a("p"),_=m("Example of token classification:"),d=f(),k(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of token classification:"),r.forEach(o),d=g(n),x(u.$$.fragment,n)},m(n,r){O(n,s,r),e(s,_),O(n,d,r),w(u,n,r),h=!0},p:L,i(n){h||(b(u.$$.fragment,n),h=!0)},o(n){T(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),M(u,n)}}}function Zl(E){let s,_,d,u,h,n,r,y;return r=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipelines"),h=m(":"),n=f(),k(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var R=l(d);u=p(R,"transformers.pipelines"),R.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),x(r.$$.fragment,c)},m(c,v){O(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),O(c,n,v),w(r,c,v),y=!0},p:L,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){T(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),M(r,c)}}}function em(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){O(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function tm(E){let s,_,d,u,h;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("gpt2")
model = ORTModelForCausalLM.from_pretrained("gpt2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=m("Example of text generation:"),d=f(),k(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of text generation:"),r.forEach(o),d=g(n),x(u.$$.fragment,n)},m(n,r){O(n,s,r),e(s,_),O(n,d,r),w(u,n,r),h=!0},p:L,i(n){h||(b(u.$$.fragment,n),h=!0)},o(n){T(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),M(u,n)}}}function om(E){let s,_,d,u,h,n,r,y;return r=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("gpt2")
model = ORTModelForCausalLM.from_pretrained("gpt2", from_transformers=True)
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;gpt2&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipelines"),h=m(":"),n=f(),k(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var R=l(d);u=p(R,"transformers.pipelines"),R.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),x(r.$$.fragment,c)},m(c,v){O(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),O(c,n,v),w(r,c,v),y=!0},p:L,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){T(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),M(r,c)}}}function nm(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){O(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function sm(E){let s,_,d,u,h;return u=new Q({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=m("Example of text generation:"),d=f(),k(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of text generation:"),r.forEach(o),d=g(n),x(u.$$.fragment,n)},m(n,r){O(n,s,r),e(s,_),O(n,d,r),w(u,n,r),h=!0},p:L,i(n){h||(b(u.$$.fragment,n),h=!0)},o(n){T(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),M(u,n)}}}function rm(E){let s,_,d,u,h,n,r,y;return r=new Q({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipeline"),h=m(":"),n=f(),k(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var R=l(d);u=p(R,"transformers.pipeline"),R.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),x(r.$$.fragment,c)},m(c,v){O(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),O(c,n,v),w(r,c,v),y=!0},p:L,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){T(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),M(r,c)}}}function am(E){let s,_,d,u,h;return{c(){s=a("p"),_=m("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=m("Module"),h=m(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=p(y,"Module"),y.forEach(o),h=p(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(o)},m(n,r){O(n,s,r),e(s,_),e(s,d),e(d,u),e(s,h)},d(n){n&&o(s)}}}function im(E){let s,_,d,u,h;return u=new Q({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=m("Example of image classification:"),d=f(),k(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=p(r,"Example of image classification:"),r.forEach(o),d=g(n),x(u.$$.fragment,n)},m(n,r){O(n,s,r),e(s,_),O(n,d,r),w(u,n,r),h=!0},p:L,i(n){h||(b(u.$$.fragment,n),h=!0)},o(n){T(u.$$.fragment,n),h=!1},d(n){n&&o(s),n&&o(d),M(u,n)}}}function lm(E){let s,_,d,u,h,n,r,y;return r=new Q({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=a("p"),_=m("Example using "),d=a("code"),u=m("transformers.pipeline"),h=m(":"),n=f(),k(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=p(v,"Example using "),d=i(v,"CODE",{});var R=l(d);u=p(R,"transformers.pipeline"),R.forEach(o),h=p(v,":"),v.forEach(o),n=g(c),x(r.$$.fragment,c)},m(c,v){O(c,s,v),e(s,_),e(s,d),e(d,u),e(s,h),O(c,n,v),w(r,c,v),y=!0},p:L,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){T(r.$$.fragment,c),y=!1},d(c){c&&o(s),c&&o(n),M(r,c)}}}function mm(E){let s,_,d,u,h,n,r,y,c,v,R,Me,_o,dt,vs,$o,ks,Sn,D,ct,xs,ut,ws,vo,bs,Ts,Ms,Oe,ft,Os,ko,ys,qs,ye,gt,Es,ht,Rs,xo,js,Fs,zs,qe,_t,Cs,wo,Ps,In,pe,Ee,bo,$t,As,To,Ss,Dn,z,vt,Is,Mo,Ds,Ns,kt,Ls,Oo,Qs,Ws,Xs,yo,Bs,Hs,W,xt,Vs,de,Us,qo,Gs,Js,Eo,Ys,Ks,Zs,Re,er,je,tr,Fe,or,ze,wt,nr,Ro,sr,Nn,ce,Ce,jo,bt,rr,Fo,ar,Ln,C,Tt,ir,zo,lr,mr,Mt,pr,Co,dr,cr,ur,Po,fr,gr,X,Ot,hr,ue,_r,Ao,$r,vr,So,kr,xr,wr,Pe,br,Ae,Tr,Se,Mr,Ie,yt,Or,Io,yr,Qn,fe,De,Do,qt,qr,No,Er,Wn,P,Et,Rr,Lo,jr,Fr,Rt,zr,Qo,Cr,Pr,Ar,Wo,Sr,Ir,I,jt,Dr,ge,Nr,Xo,Lr,Qr,Bo,Wr,Xr,Br,Ne,Hr,Le,Vr,Qe,Ur,We,Gr,Xe,Ft,Jr,Ho,Yr,Xn,he,Be,Vo,zt,Kr,Uo,Zr,Bn,A,Ct,ea,Go,ta,oa,Pt,na,Jo,sa,ra,aa,Yo,ia,la,B,At,ma,_e,pa,Ko,da,ca,Zo,ua,fa,ga,He,ha,Ve,_a,Ue,$a,Ge,St,va,en,ka,Hn,$e,Je,tn,It,xa,on,wa,Vn,F,Dt,ba,nn,Ta,Ma,Nt,Oa,sn,ya,qa,Ea,rn,Ra,ja,H,Lt,Fa,ve,za,an,Ca,Pa,ln,Aa,Sa,Ia,Ye,Da,Ke,Na,Ze,La,et,Qt,Qa,Wt,Wa,mn,Xa,Ba,Ha,tt,Xt,Va,pn,Ua,Un,ke,ot,dn,Bt,Ga,cn,Ja,Gn,ne,Ht,Ya,un,Ka,Za,V,Vt,ei,xe,ti,fn,oi,ni,gn,si,ri,ai,nt,ii,st,li,rt,Jn,we,at,hn,Ut,mi,_n,pi,Yn,S,Gt,di,$n,ci,ui,Jt,fi,vn,gi,hi,_i,kn,$i,vi,U,Yt,ki,be,xi,xn,wi,bi,wn,Ti,Mi,Oi,it,yi,lt,qi,mt,Ei,pt,Kt,Ri,bn,ji,Kn;return n=new Te({}),dt=new Te({}),ct=new j({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession = None"},{name:"config",val:": PretrainedConfig = None"},{name:"use_io_binding",val:": bool = True"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L109"}}),ft=new j({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": typing.Optional[str] = ''"},{name:"provider",val:": typing.Optional[str] = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Optional[typing.Dict] = None"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>) &#x2014;
ONNX Runtime providers to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers. Defaults to <code>CPUExecutionProvider</code>.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>onnxruntime.SessionOptions</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model. Defaults to <code>None</code>.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Dict</code>, <strong>optional</strong>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> . Defaults to <code>None</code>.`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L240",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),gt=new j({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": typing.Optional[str] = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Optional[typing.Dict] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>str</code> or <code>Path</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers. Defaults to <code>CPUExecutionProvider</code>.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>onnxruntime.SessionOptions</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model. Defaults to <code>None</code>.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Dict</code>, <strong>optional</strong>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> . Defaults to <code>None</code>.`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L181"}}),_t=new j({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L157",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),$t=new Te({}),vt=new j({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L459"}}),xt=new j({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L545"}}),Re=new io({props:{$$slots:{default:[Ll]},$$scope:{ctx:E}}}),je=new N({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[Ql]},$$scope:{ctx:E}}}),Fe=new N({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[Wl]},$$scope:{ctx:E}}}),wt=new j({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L474"}}),bt=new Te({}),Tt=new j({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L633"}}),Ot=new j({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L727"}}),Pe=new io({props:{$$slots:{default:[Xl]},$$scope:{ctx:E}}}),Ae=new N({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[Bl]},$$scope:{ctx:E}}}),Se=new N({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[Hl]},$$scope:{ctx:E}}}),yt=new j({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L648"}}),qt=new Te({}),Et=new j({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L835"}}),jt=new j({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L920"}}),Ne=new io({props:{$$slots:{default:[Vl]},$$scope:{ctx:E}}}),Le=new N({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[Ul]},$$scope:{ctx:E}}}),Qe=new N({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[Gl]},$$scope:{ctx:E}}}),We=new N({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[Jl]},$$scope:{ctx:E}}}),Ft=new j({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L851"}}),zt=new Te({}),Ct=new j({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L1008"}}),At=new j({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L1093"}}),He=new io({props:{$$slots:{default:[Yl]},$$scope:{ctx:E}}}),Ve=new N({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[Kl]},$$scope:{ctx:E}}}),Ue=new N({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[Zl]},$$scope:{ctx:E}}}),St=new j({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L1023"}}),It=new Te({}),Dt=new j({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L1342"}}),Lt=new j({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L1422"}}),Ye=new io({props:{$$slots:{default:[em]},$$scope:{ctx:E}}}),Ke=new N({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[tm]},$$scope:{ctx:E}}}),Ze=new N({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[om]},$$scope:{ctx:E}}}),Qt=new j({props:{name:"prepare_inputs_for_generation",anchor:"optimum.onnxruntime.ORTModelForCausalLM.prepare_inputs_for_generation",parameters:[{name:"input_ids",val:": LongTensor"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L1358"}}),Xt=new j({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForCausalLM.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L1367"}}),Bt=new Te({}),Ht=new j({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_seq2seq.py#L1147"}}),Vt=new j({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_seq2seq.py#L1182"}}),nt=new io({props:{$$slots:{default:[nm]},$$scope:{ctx:E}}}),st=new N({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[sm]},$$scope:{ctx:E}}}),rt=new N({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[rm]},$$scope:{ctx:E}}}),Ut=new Te({}),Gt=new j({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.5.0/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L1529"}}),Yt=new j({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L1586"}}),it=new io({props:{$$slots:{default:[am]},$$scope:{ctx:E}}}),lt=new N({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[im]},$$scope:{ctx:E}}}),mt=new N({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[lm]},$$scope:{ctx:E}}}),Kt=new j({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.5.0/optimum/onnxruntime/modeling_ort.py#L1544"}}),{c(){s=a("meta"),_=f(),d=a("h1"),u=a("a"),h=a("span"),k(n.$$.fragment),r=f(),y=a("span"),c=m("Models"),v=f(),R=a("h2"),Me=a("a"),_o=a("span"),k(dt.$$.fragment),vs=f(),$o=a("span"),ks=m("ORTModel"),Sn=f(),D=a("div"),k(ct.$$.fragment),xs=f(),ut=a("p"),ws=m(`Base ORTModel class for implementing models using ONNX Runtime. The ORTModel implements generic methods for interacting
with the Hugging Face Hub as well as exporting vanilla transformers models to ONNX using `),vo=a("code"),bs=m("transformers.onnx"),Ts=m(` toolchain.
The ORTModel implements additionally generic methods for optimizing and quantizing Onnx models.`),Ms=f(),Oe=a("div"),k(ft.$$.fragment),Os=f(),ko=a("p"),ys=m("Instantiate a pretrained model from a pre-trained model configuration."),qs=f(),ye=a("div"),k(gt.$$.fragment),Es=f(),ht=a("p"),Rs=m("Loads an ONNX Inference session with a given provider. Default provider is "),xo=a("code"),js=m("CPUExecutionProvider"),Fs=m(" to match the default behaviour in PyTorch/TensorFlow/JAX."),zs=f(),qe=a("div"),k(_t.$$.fragment),Cs=f(),wo=a("p"),Ps=m("Changes the ONNX Runtime provider according to the device."),In=f(),pe=a("h2"),Ee=a("a"),bo=a("span"),k($t.$$.fragment),As=f(),To=a("span"),Ss=m("ORTModelForFeatureExtraction"),Dn=f(),z=a("div"),k(vt.$$.fragment),Is=f(),Mo=a("p"),Ds=m("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Ns=f(),kt=a("p"),Ls=m("This model inherits from [~"),Oo=a("code"),Qs=m("onnxruntime.modeling_ort.ORTModel"),Ws=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Xs=f(),yo=a("p"),Bs=m("Feature Extraction model for ONNX."),Hs=f(),W=a("div"),k(xt.$$.fragment),Vs=f(),de=a("p"),Us=m("The "),qo=a("code"),Gs=m("ORTModelForFeatureExtraction"),Js=m(" forward method, overrides the "),Eo=a("code"),Ys=m("__call__"),Ks=m(" special method."),Zs=f(),k(Re.$$.fragment),er=f(),k(je.$$.fragment),tr=f(),k(Fe.$$.fragment),or=f(),ze=a("div"),k(wt.$$.fragment),nr=f(),Ro=a("p"),sr=m("Prepare the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Nn=f(),ce=a("h2"),Ce=a("a"),jo=a("span"),k(bt.$$.fragment),rr=f(),Fo=a("span"),ar=m("ORTModelForQuestionAnswering"),Ln=f(),C=a("div"),k(Tt.$$.fragment),ir=f(),zo=a("p"),lr=m("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),mr=f(),Mt=a("p"),pr=m("This model inherits from [~"),Co=a("code"),dr=m("onnxruntime.modeling_ort.ORTModel"),cr=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ur=f(),Po=a("p"),fr=m("Question Answering model for ONNX."),gr=f(),X=a("div"),k(Ot.$$.fragment),hr=f(),ue=a("p"),_r=m("The "),Ao=a("code"),$r=m("ORTModelForQuestionAnswering"),vr=m(" forward method, overrides the "),So=a("code"),kr=m("__call__"),xr=m(" special method."),wr=f(),k(Pe.$$.fragment),br=f(),k(Ae.$$.fragment),Tr=f(),k(Se.$$.fragment),Mr=f(),Ie=a("div"),k(yt.$$.fragment),Or=f(),Io=a("p"),yr=m("Prepare the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),Qn=f(),fe=a("h2"),De=a("a"),Do=a("span"),k(qt.$$.fragment),qr=f(),No=a("span"),Er=m("ORTModelForSequenceClassification"),Wn=f(),P=a("div"),k(Et.$$.fragment),Rr=f(),Lo=a("p"),jr=m(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Fr=f(),Rt=a("p"),zr=m("This model inherits from [~"),Qo=a("code"),Cr=m("onnxruntime.modeling_ort.ORTModel"),Pr=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ar=f(),Wo=a("p"),Sr=m("Sequence Classification model for ONNX."),Ir=f(),I=a("div"),k(jt.$$.fragment),Dr=f(),ge=a("p"),Nr=m("The "),Xo=a("code"),Lr=m("ORTModelForSequenceClassification"),Qr=m(" forward method, overrides the "),Bo=a("code"),Wr=m("__call__"),Xr=m(" special method."),Br=f(),k(Ne.$$.fragment),Hr=f(),k(Le.$$.fragment),Vr=f(),k(Qe.$$.fragment),Ur=f(),k(We.$$.fragment),Gr=f(),Xe=a("div"),k(Ft.$$.fragment),Jr=f(),Ho=a("p"),Yr=m("Prepare the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Xn=f(),he=a("h2"),Be=a("a"),Vo=a("span"),k(zt.$$.fragment),Kr=f(),Uo=a("span"),Zr=m("ORTModelForTokenClassification"),Bn=f(),A=a("div"),k(Ct.$$.fragment),ea=f(),Go=a("p"),ta=m(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),oa=f(),Pt=a("p"),na=m("This model inherits from [~"),Jo=a("code"),sa=m("onnxruntime.modeling_ort.ORTModel"),ra=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),aa=f(),Yo=a("p"),ia=m("Token Classification model for ONNX."),la=f(),B=a("div"),k(At.$$.fragment),ma=f(),_e=a("p"),pa=m("The "),Ko=a("code"),da=m("ORTModelForTokenClassification"),ca=m(" forward method, overrides the "),Zo=a("code"),ua=m("__call__"),fa=m(" special method."),ga=f(),k(He.$$.fragment),ha=f(),k(Ve.$$.fragment),_a=f(),k(Ue.$$.fragment),$a=f(),Ge=a("div"),k(St.$$.fragment),va=f(),en=a("p"),ka=m("Prepare the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),Hn=f(),$e=a("h2"),Je=a("a"),tn=a("span"),k(It.$$.fragment),xa=f(),on=a("span"),wa=m("ORTModelForCausalLM"),Vn=f(),F=a("div"),k(Dt.$$.fragment),ba=f(),nn=a("p"),Ta=m(`Onnx Model with a causal language modeling head on top (linear layer with weights tied to the input
embeddings).`),Ma=f(),Nt=a("p"),Oa=m("This model inherits from [~"),sn=a("code"),ya=m("onnxruntime.modeling_ort.ORTModel"),qa=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ea=f(),rn=a("p"),Ra=m("Causal LM model for ONNX."),ja=f(),H=a("div"),k(Lt.$$.fragment),Fa=f(),ve=a("p"),za=m("The "),an=a("code"),Ca=m("ORTModelForCausalLM"),Pa=m(" forward method, overrides the "),ln=a("code"),Aa=m("__call__"),Sa=m(" special method."),Ia=f(),k(Ye.$$.fragment),Da=f(),k(Ke.$$.fragment),Na=f(),k(Ze.$$.fragment),La=f(),et=a("div"),k(Qt.$$.fragment),Qa=f(),Wt=a("p"),Wa=m("Implement in subclasses of "),mn=a("code"),Xa=m("PreTrainedModel"),Ba=m(" for custom behavior to prepare inputs in the generate method."),Ha=f(),tt=a("div"),k(Xt.$$.fragment),Va=f(),pn=a("p"),Ua=m("Prepare the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.vocab_size)."),Un=f(),ke=a("h2"),ot=a("a"),dn=a("span"),k(Bt.$$.fragment),Ga=f(),cn=a("span"),Ja=m("ORTModelForSeq2SeqLM"),Gn=f(),ne=a("div"),k(Ht.$$.fragment),Ya=f(),un=a("p"),Ka=m("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Za=f(),V=a("div"),k(Vt.$$.fragment),ei=f(),xe=a("p"),ti=m("The "),fn=a("code"),oi=m("ORTModelForSeq2SeqLM"),ni=m(" forward method, overrides the "),gn=a("code"),si=m("__call__"),ri=m(" special method."),ai=f(),k(nt.$$.fragment),ii=f(),k(st.$$.fragment),li=f(),k(rt.$$.fragment),Jn=f(),we=a("h2"),at=a("a"),hn=a("span"),k(Ut.$$.fragment),mi=f(),_n=a("span"),pi=m("ORTModelForImageClassification"),Yn=f(),S=a("div"),k(Gt.$$.fragment),di=f(),$n=a("p"),ci=m("Onnx Model for image-classification tasks."),ui=f(),Jt=a("p"),fi=m("This model inherits from [~"),vn=a("code"),gi=m("onnxruntime.modeling_ort.ORTModel"),hi=m(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),_i=f(),kn=a("p"),$i=m("Image Classification model for ONNX."),vi=f(),U=a("div"),k(Yt.$$.fragment),ki=f(),be=a("p"),xi=m("The "),xn=a("code"),wi=m("ORTModelForImageClassification"),bi=m(" forward method, overrides the "),wn=a("code"),Ti=m("__call__"),Mi=m(" special method."),Oi=f(),k(it.$$.fragment),yi=f(),k(lt.$$.fragment),qi=f(),k(mt.$$.fragment),Ei=f(),pt=a("div"),k(Kt.$$.fragment),Ri=f(),bn=a("p"),ji=m("Prepare the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),this.h()},l(t){const $=Dl('[data-svelte="svelte-1phssyn"]',document.head);s=i($,"META",{name:!0,content:!0}),$.forEach(o),_=g(t),d=i(t,"H1",{class:!0});var Zt=l(d);u=i(Zt,"A",{id:!0,class:!0,href:!0});var Tn=l(u);h=i(Tn,"SPAN",{});var Mn=l(h);x(n.$$.fragment,Mn),Mn.forEach(o),Tn.forEach(o),r=g(Zt),y=i(Zt,"SPAN",{});var On=l(y);c=p(On,"Models"),On.forEach(o),Zt.forEach(o),v=g(t),R=i(t,"H2",{class:!0});var eo=l(R);Me=i(eo,"A",{id:!0,class:!0,href:!0});var yn=l(Me);_o=i(yn,"SPAN",{});var qn=l(_o);x(dt.$$.fragment,qn),qn.forEach(o),yn.forEach(o),vs=g(eo),$o=i(eo,"SPAN",{});var En=l($o);ks=p(En,"ORTModel"),En.forEach(o),eo.forEach(o),Sn=g(t),D=i(t,"DIV",{class:!0});var J=l(D);x(ct.$$.fragment,J),xs=g(J),ut=i(J,"P",{});var to=l(ut);ws=p(to,`Base ORTModel class for implementing models using ONNX Runtime. The ORTModel implements generic methods for interacting
with the Hugging Face Hub as well as exporting vanilla transformers models to ONNX using `),vo=i(to,"CODE",{});var Rn=l(vo);bs=p(Rn,"transformers.onnx"),Rn.forEach(o),Ts=p(to,` toolchain.
The ORTModel implements additionally generic methods for optimizing and quantizing Onnx models.`),to.forEach(o),Ms=g(J),Oe=i(J,"DIV",{class:!0});var oo=l(Oe);x(ft.$$.fragment,oo),Os=g(oo),ko=i(oo,"P",{});var jn=l(ko);ys=p(jn,"Instantiate a pretrained model from a pre-trained model configuration."),jn.forEach(o),oo.forEach(o),qs=g(J),ye=i(J,"DIV",{class:!0});var no=l(ye);x(gt.$$.fragment,no),Es=g(no),ht=i(no,"P",{});var so=l(ht);Rs=p(so,"Loads an ONNX Inference session with a given provider. Default provider is "),xo=i(so,"CODE",{});var Fn=l(xo);js=p(Fn,"CPUExecutionProvider"),Fn.forEach(o),Fs=p(so," to match the default behaviour in PyTorch/TensorFlow/JAX."),so.forEach(o),no.forEach(o),zs=g(J),qe=i(J,"DIV",{class:!0});var ro=l(qe);x(_t.$$.fragment,ro),Cs=g(ro),wo=i(ro,"P",{});var zn=l(wo);Ps=p(zn,"Changes the ONNX Runtime provider according to the device."),zn.forEach(o),ro.forEach(o),J.forEach(o),In=g(t),pe=i(t,"H2",{class:!0});var ao=l(pe);Ee=i(ao,"A",{id:!0,class:!0,href:!0});var Cn=l(Ee);bo=i(Cn,"SPAN",{});var Pn=l(bo);x($t.$$.fragment,Pn),Pn.forEach(o),Cn.forEach(o),As=g(ao),To=i(ao,"SPAN",{});var An=l(To);Ss=p(An,"ORTModelForFeatureExtraction"),An.forEach(o),ao.forEach(o),Dn=g(t),z=i(t,"DIV",{class:!0});var Y=l(z);x(vt.$$.fragment,Y),Is=g(Y),Mo=i(Y,"P",{});var Fi=l(Mo);Ds=p(Fi,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Fi.forEach(o),Ns=g(Y),kt=i(Y,"P",{});var Zn=l(kt);Ls=p(Zn,"This model inherits from [~"),Oo=i(Zn,"CODE",{});var zi=l(Oo);Qs=p(zi,"onnxruntime.modeling_ort.ORTModel"),zi.forEach(o),Ws=p(Zn,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Zn.forEach(o),Xs=g(Y),yo=i(Y,"P",{});var Ci=l(yo);Bs=p(Ci,"Feature Extraction model for ONNX."),Ci.forEach(o),Hs=g(Y),W=i(Y,"DIV",{class:!0});var se=l(W);x(xt.$$.fragment,se),Vs=g(se),de=i(se,"P",{});var lo=l(de);Us=p(lo,"The "),qo=i(lo,"CODE",{});var Pi=l(qo);Gs=p(Pi,"ORTModelForFeatureExtraction"),Pi.forEach(o),Js=p(lo," forward method, overrides the "),Eo=i(lo,"CODE",{});var Ai=l(Eo);Ys=p(Ai,"__call__"),Ai.forEach(o),Ks=p(lo," special method."),lo.forEach(o),Zs=g(se),x(Re.$$.fragment,se),er=g(se),x(je.$$.fragment,se),tr=g(se),x(Fe.$$.fragment,se),se.forEach(o),or=g(Y),ze=i(Y,"DIV",{class:!0});var es=l(ze);x(wt.$$.fragment,es),nr=g(es),Ro=i(es,"P",{});var Si=l(Ro);sr=p(Si,"Prepare the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Si.forEach(o),es.forEach(o),Y.forEach(o),Nn=g(t),ce=i(t,"H2",{class:!0});var ts=l(ce);Ce=i(ts,"A",{id:!0,class:!0,href:!0});var Ii=l(Ce);jo=i(Ii,"SPAN",{});var Di=l(jo);x(bt.$$.fragment,Di),Di.forEach(o),Ii.forEach(o),rr=g(ts),Fo=i(ts,"SPAN",{});var Ni=l(Fo);ar=p(Ni,"ORTModelForQuestionAnswering"),Ni.forEach(o),ts.forEach(o),Ln=g(t),C=i(t,"DIV",{class:!0});var K=l(C);x(Tt.$$.fragment,K),ir=g(K),zo=i(K,"P",{});var Li=l(zo);lr=p(Li,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Li.forEach(o),mr=g(K),Mt=i(K,"P",{});var os=l(Mt);pr=p(os,"This model inherits from [~"),Co=i(os,"CODE",{});var Qi=l(Co);dr=p(Qi,"onnxruntime.modeling_ort.ORTModel"),Qi.forEach(o),cr=p(os,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),os.forEach(o),ur=g(K),Po=i(K,"P",{});var Wi=l(Po);fr=p(Wi,"Question Answering model for ONNX."),Wi.forEach(o),gr=g(K),X=i(K,"DIV",{class:!0});var re=l(X);x(Ot.$$.fragment,re),hr=g(re),ue=i(re,"P",{});var mo=l(ue);_r=p(mo,"The "),Ao=i(mo,"CODE",{});var Xi=l(Ao);$r=p(Xi,"ORTModelForQuestionAnswering"),Xi.forEach(o),vr=p(mo," forward method, overrides the "),So=i(mo,"CODE",{});var Bi=l(So);kr=p(Bi,"__call__"),Bi.forEach(o),xr=p(mo," special method."),mo.forEach(o),wr=g(re),x(Pe.$$.fragment,re),br=g(re),x(Ae.$$.fragment,re),Tr=g(re),x(Se.$$.fragment,re),re.forEach(o),Mr=g(K),Ie=i(K,"DIV",{class:!0});var ns=l(Ie);x(yt.$$.fragment,ns),Or=g(ns),Io=i(ns,"P",{});var Hi=l(Io);yr=p(Hi,"Prepare the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),Hi.forEach(o),ns.forEach(o),K.forEach(o),Qn=g(t),fe=i(t,"H2",{class:!0});var ss=l(fe);De=i(ss,"A",{id:!0,class:!0,href:!0});var Vi=l(De);Do=i(Vi,"SPAN",{});var Ui=l(Do);x(qt.$$.fragment,Ui),Ui.forEach(o),Vi.forEach(o),qr=g(ss),No=i(ss,"SPAN",{});var Gi=l(No);Er=p(Gi,"ORTModelForSequenceClassification"),Gi.forEach(o),ss.forEach(o),Wn=g(t),P=i(t,"DIV",{class:!0});var Z=l(P);x(Et.$$.fragment,Z),Rr=g(Z),Lo=i(Z,"P",{});var Ji=l(Lo);jr=p(Ji,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Ji.forEach(o),Fr=g(Z),Rt=i(Z,"P",{});var rs=l(Rt);zr=p(rs,"This model inherits from [~"),Qo=i(rs,"CODE",{});var Yi=l(Qo);Cr=p(Yi,"onnxruntime.modeling_ort.ORTModel"),Yi.forEach(o),Pr=p(rs,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),rs.forEach(o),Ar=g(Z),Wo=i(Z,"P",{});var Ki=l(Wo);Sr=p(Ki,"Sequence Classification model for ONNX."),Ki.forEach(o),Ir=g(Z),I=i(Z,"DIV",{class:!0});var ee=l(I);x(jt.$$.fragment,ee),Dr=g(ee),ge=i(ee,"P",{});var po=l(ge);Nr=p(po,"The "),Xo=i(po,"CODE",{});var Zi=l(Xo);Lr=p(Zi,"ORTModelForSequenceClassification"),Zi.forEach(o),Qr=p(po," forward method, overrides the "),Bo=i(po,"CODE",{});var el=l(Bo);Wr=p(el,"__call__"),el.forEach(o),Xr=p(po," special method."),po.forEach(o),Br=g(ee),x(Ne.$$.fragment,ee),Hr=g(ee),x(Le.$$.fragment,ee),Vr=g(ee),x(Qe.$$.fragment,ee),Ur=g(ee),x(We.$$.fragment,ee),ee.forEach(o),Gr=g(Z),Xe=i(Z,"DIV",{class:!0});var as=l(Xe);x(Ft.$$.fragment,as),Jr=g(as),Ho=i(as,"P",{});var tl=l(Ho);Yr=p(tl,"Prepare the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),tl.forEach(o),as.forEach(o),Z.forEach(o),Xn=g(t),he=i(t,"H2",{class:!0});var is=l(he);Be=i(is,"A",{id:!0,class:!0,href:!0});var ol=l(Be);Vo=i(ol,"SPAN",{});var nl=l(Vo);x(zt.$$.fragment,nl),nl.forEach(o),ol.forEach(o),Kr=g(is),Uo=i(is,"SPAN",{});var sl=l(Uo);Zr=p(sl,"ORTModelForTokenClassification"),sl.forEach(o),is.forEach(o),Bn=g(t),A=i(t,"DIV",{class:!0});var te=l(A);x(Ct.$$.fragment,te),ea=g(te),Go=i(te,"P",{});var rl=l(Go);ta=p(rl,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),rl.forEach(o),oa=g(te),Pt=i(te,"P",{});var ls=l(Pt);na=p(ls,"This model inherits from [~"),Jo=i(ls,"CODE",{});var al=l(Jo);sa=p(al,"onnxruntime.modeling_ort.ORTModel"),al.forEach(o),ra=p(ls,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ls.forEach(o),aa=g(te),Yo=i(te,"P",{});var il=l(Yo);ia=p(il,"Token Classification model for ONNX."),il.forEach(o),la=g(te),B=i(te,"DIV",{class:!0});var ae=l(B);x(At.$$.fragment,ae),ma=g(ae),_e=i(ae,"P",{});var co=l(_e);pa=p(co,"The "),Ko=i(co,"CODE",{});var ll=l(Ko);da=p(ll,"ORTModelForTokenClassification"),ll.forEach(o),ca=p(co," forward method, overrides the "),Zo=i(co,"CODE",{});var ml=l(Zo);ua=p(ml,"__call__"),ml.forEach(o),fa=p(co," special method."),co.forEach(o),ga=g(ae),x(He.$$.fragment,ae),ha=g(ae),x(Ve.$$.fragment,ae),_a=g(ae),x(Ue.$$.fragment,ae),ae.forEach(o),$a=g(te),Ge=i(te,"DIV",{class:!0});var ms=l(Ge);x(St.$$.fragment,ms),va=g(ms),en=i(ms,"P",{});var pl=l(en);ka=p(pl,"Prepare the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),pl.forEach(o),ms.forEach(o),te.forEach(o),Hn=g(t),$e=i(t,"H2",{class:!0});var ps=l($e);Je=i(ps,"A",{id:!0,class:!0,href:!0});var dl=l(Je);tn=i(dl,"SPAN",{});var cl=l(tn);x(It.$$.fragment,cl),cl.forEach(o),dl.forEach(o),xa=g(ps),on=i(ps,"SPAN",{});var ul=l(on);wa=p(ul,"ORTModelForCausalLM"),ul.forEach(o),ps.forEach(o),Vn=g(t),F=i(t,"DIV",{class:!0});var G=l(F);x(Dt.$$.fragment,G),ba=g(G),nn=i(G,"P",{});var fl=l(nn);Ta=p(fl,`Onnx Model with a causal language modeling head on top (linear layer with weights tied to the input
embeddings).`),fl.forEach(o),Ma=g(G),Nt=i(G,"P",{});var ds=l(Nt);Oa=p(ds,"This model inherits from [~"),sn=i(ds,"CODE",{});var gl=l(sn);ya=p(gl,"onnxruntime.modeling_ort.ORTModel"),gl.forEach(o),qa=p(ds,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ds.forEach(o),Ea=g(G),rn=i(G,"P",{});var hl=l(rn);Ra=p(hl,"Causal LM model for ONNX."),hl.forEach(o),ja=g(G),H=i(G,"DIV",{class:!0});var ie=l(H);x(Lt.$$.fragment,ie),Fa=g(ie),ve=i(ie,"P",{});var uo=l(ve);za=p(uo,"The "),an=i(uo,"CODE",{});var _l=l(an);Ca=p(_l,"ORTModelForCausalLM"),_l.forEach(o),Pa=p(uo," forward method, overrides the "),ln=i(uo,"CODE",{});var $l=l(ln);Aa=p($l,"__call__"),$l.forEach(o),Sa=p(uo," special method."),uo.forEach(o),Ia=g(ie),x(Ye.$$.fragment,ie),Da=g(ie),x(Ke.$$.fragment,ie),Na=g(ie),x(Ze.$$.fragment,ie),ie.forEach(o),La=g(G),et=i(G,"DIV",{class:!0});var cs=l(et);x(Qt.$$.fragment,cs),Qa=g(cs),Wt=i(cs,"P",{});var us=l(Wt);Wa=p(us,"Implement in subclasses of "),mn=i(us,"CODE",{});var vl=l(mn);Xa=p(vl,"PreTrainedModel"),vl.forEach(o),Ba=p(us," for custom behavior to prepare inputs in the generate method."),us.forEach(o),cs.forEach(o),Ha=g(G),tt=i(G,"DIV",{class:!0});var fs=l(tt);x(Xt.$$.fragment,fs),Va=g(fs),pn=i(fs,"P",{});var kl=l(pn);Ua=p(kl,"Prepare the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.vocab_size)."),kl.forEach(o),fs.forEach(o),G.forEach(o),Un=g(t),ke=i(t,"H2",{class:!0});var gs=l(ke);ot=i(gs,"A",{id:!0,class:!0,href:!0});var xl=l(ot);dn=i(xl,"SPAN",{});var wl=l(dn);x(Bt.$$.fragment,wl),wl.forEach(o),xl.forEach(o),Ga=g(gs),cn=i(gs,"SPAN",{});var bl=l(cn);Ja=p(bl,"ORTModelForSeq2SeqLM"),bl.forEach(o),gs.forEach(o),Gn=g(t),ne=i(t,"DIV",{class:!0});var fo=l(ne);x(Ht.$$.fragment,fo),Ya=g(fo),un=i(fo,"P",{});var Tl=l(un);Ka=p(Tl,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Tl.forEach(o),Za=g(fo),V=i(fo,"DIV",{class:!0});var le=l(V);x(Vt.$$.fragment,le),ei=g(le),xe=i(le,"P",{});var go=l(xe);ti=p(go,"The "),fn=i(go,"CODE",{});var Ml=l(fn);oi=p(Ml,"ORTModelForSeq2SeqLM"),Ml.forEach(o),ni=p(go," forward method, overrides the "),gn=i(go,"CODE",{});var Ol=l(gn);si=p(Ol,"__call__"),Ol.forEach(o),ri=p(go," special method."),go.forEach(o),ai=g(le),x(nt.$$.fragment,le),ii=g(le),x(st.$$.fragment,le),li=g(le),x(rt.$$.fragment,le),le.forEach(o),fo.forEach(o),Jn=g(t),we=i(t,"H2",{class:!0});var hs=l(we);at=i(hs,"A",{id:!0,class:!0,href:!0});var yl=l(at);hn=i(yl,"SPAN",{});var ql=l(hn);x(Ut.$$.fragment,ql),ql.forEach(o),yl.forEach(o),mi=g(hs),_n=i(hs,"SPAN",{});var El=l(_n);pi=p(El,"ORTModelForImageClassification"),El.forEach(o),hs.forEach(o),Yn=g(t),S=i(t,"DIV",{class:!0});var oe=l(S);x(Gt.$$.fragment,oe),di=g(oe),$n=i(oe,"P",{});var Rl=l($n);ci=p(Rl,"Onnx Model for image-classification tasks."),Rl.forEach(o),ui=g(oe),Jt=i(oe,"P",{});var _s=l(Jt);fi=p(_s,"This model inherits from [~"),vn=i(_s,"CODE",{});var jl=l(vn);gi=p(jl,"onnxruntime.modeling_ort.ORTModel"),jl.forEach(o),hi=p(_s,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),_s.forEach(o),_i=g(oe),kn=i(oe,"P",{});var Fl=l(kn);$i=p(Fl,"Image Classification model for ONNX."),Fl.forEach(o),vi=g(oe),U=i(oe,"DIV",{class:!0});var me=l(U);x(Yt.$$.fragment,me),ki=g(me),be=i(me,"P",{});var ho=l(be);xi=p(ho,"The "),xn=i(ho,"CODE",{});var zl=l(xn);wi=p(zl,"ORTModelForImageClassification"),zl.forEach(o),bi=p(ho," forward method, overrides the "),wn=i(ho,"CODE",{});var Cl=l(wn);Ti=p(Cl,"__call__"),Cl.forEach(o),Mi=p(ho," special method."),ho.forEach(o),Oi=g(me),x(it.$$.fragment,me),yi=g(me),x(lt.$$.fragment,me),qi=g(me),x(mt.$$.fragment,me),me.forEach(o),Ei=g(oe),pt=i(oe,"DIV",{class:!0});var $s=l(pt);x(Kt.$$.fragment,$s),Ri=g($s),bn=i($s,"P",{});var Pl=l(bn);ji=p(Pl,"Prepare the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Pl.forEach(o),$s.forEach(o),oe.forEach(o),this.h()},h(){q(s,"name","hf:doc:metadata"),q(s,"content",JSON.stringify(pm)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(d,"class","relative group"),q(Me,"id","optimum.onnxruntime.ORTModel"),q(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Me,"href","#optimum.onnxruntime.ORTModel"),q(R,"class","relative group"),q(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ee,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ee,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(pe,"class","relative group"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ce,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ce,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(ce,"class","relative group"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(De,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(De,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(De,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(fe,"class","relative group"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Be,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Be,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(he,"class","relative group"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Je,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(Je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Je,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q($e,"class","relative group"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ot,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(ot,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ot,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(ke,"class","relative group"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(at,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(at,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(we,"class","relative group"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,$){e(document.head,s),O(t,_,$),O(t,d,$),e(d,u),e(u,h),w(n,h,null),e(d,r),e(d,y),e(y,c),O(t,v,$),O(t,R,$),e(R,Me),e(Me,_o),w(dt,_o,null),e(R,vs),e(R,$o),e($o,ks),O(t,Sn,$),O(t,D,$),w(ct,D,null),e(D,xs),e(D,ut),e(ut,ws),e(ut,vo),e(vo,bs),e(ut,Ts),e(D,Ms),e(D,Oe),w(ft,Oe,null),e(Oe,Os),e(Oe,ko),e(ko,ys),e(D,qs),e(D,ye),w(gt,ye,null),e(ye,Es),e(ye,ht),e(ht,Rs),e(ht,xo),e(xo,js),e(ht,Fs),e(D,zs),e(D,qe),w(_t,qe,null),e(qe,Cs),e(qe,wo),e(wo,Ps),O(t,In,$),O(t,pe,$),e(pe,Ee),e(Ee,bo),w($t,bo,null),e(pe,As),e(pe,To),e(To,Ss),O(t,Dn,$),O(t,z,$),w(vt,z,null),e(z,Is),e(z,Mo),e(Mo,Ds),e(z,Ns),e(z,kt),e(kt,Ls),e(kt,Oo),e(Oo,Qs),e(kt,Ws),e(z,Xs),e(z,yo),e(yo,Bs),e(z,Hs),e(z,W),w(xt,W,null),e(W,Vs),e(W,de),e(de,Us),e(de,qo),e(qo,Gs),e(de,Js),e(de,Eo),e(Eo,Ys),e(de,Ks),e(W,Zs),w(Re,W,null),e(W,er),w(je,W,null),e(W,tr),w(Fe,W,null),e(z,or),e(z,ze),w(wt,ze,null),e(ze,nr),e(ze,Ro),e(Ro,sr),O(t,Nn,$),O(t,ce,$),e(ce,Ce),e(Ce,jo),w(bt,jo,null),e(ce,rr),e(ce,Fo),e(Fo,ar),O(t,Ln,$),O(t,C,$),w(Tt,C,null),e(C,ir),e(C,zo),e(zo,lr),e(C,mr),e(C,Mt),e(Mt,pr),e(Mt,Co),e(Co,dr),e(Mt,cr),e(C,ur),e(C,Po),e(Po,fr),e(C,gr),e(C,X),w(Ot,X,null),e(X,hr),e(X,ue),e(ue,_r),e(ue,Ao),e(Ao,$r),e(ue,vr),e(ue,So),e(So,kr),e(ue,xr),e(X,wr),w(Pe,X,null),e(X,br),w(Ae,X,null),e(X,Tr),w(Se,X,null),e(C,Mr),e(C,Ie),w(yt,Ie,null),e(Ie,Or),e(Ie,Io),e(Io,yr),O(t,Qn,$),O(t,fe,$),e(fe,De),e(De,Do),w(qt,Do,null),e(fe,qr),e(fe,No),e(No,Er),O(t,Wn,$),O(t,P,$),w(Et,P,null),e(P,Rr),e(P,Lo),e(Lo,jr),e(P,Fr),e(P,Rt),e(Rt,zr),e(Rt,Qo),e(Qo,Cr),e(Rt,Pr),e(P,Ar),e(P,Wo),e(Wo,Sr),e(P,Ir),e(P,I),w(jt,I,null),e(I,Dr),e(I,ge),e(ge,Nr),e(ge,Xo),e(Xo,Lr),e(ge,Qr),e(ge,Bo),e(Bo,Wr),e(ge,Xr),e(I,Br),w(Ne,I,null),e(I,Hr),w(Le,I,null),e(I,Vr),w(Qe,I,null),e(I,Ur),w(We,I,null),e(P,Gr),e(P,Xe),w(Ft,Xe,null),e(Xe,Jr),e(Xe,Ho),e(Ho,Yr),O(t,Xn,$),O(t,he,$),e(he,Be),e(Be,Vo),w(zt,Vo,null),e(he,Kr),e(he,Uo),e(Uo,Zr),O(t,Bn,$),O(t,A,$),w(Ct,A,null),e(A,ea),e(A,Go),e(Go,ta),e(A,oa),e(A,Pt),e(Pt,na),e(Pt,Jo),e(Jo,sa),e(Pt,ra),e(A,aa),e(A,Yo),e(Yo,ia),e(A,la),e(A,B),w(At,B,null),e(B,ma),e(B,_e),e(_e,pa),e(_e,Ko),e(Ko,da),e(_e,ca),e(_e,Zo),e(Zo,ua),e(_e,fa),e(B,ga),w(He,B,null),e(B,ha),w(Ve,B,null),e(B,_a),w(Ue,B,null),e(A,$a),e(A,Ge),w(St,Ge,null),e(Ge,va),e(Ge,en),e(en,ka),O(t,Hn,$),O(t,$e,$),e($e,Je),e(Je,tn),w(It,tn,null),e($e,xa),e($e,on),e(on,wa),O(t,Vn,$),O(t,F,$),w(Dt,F,null),e(F,ba),e(F,nn),e(nn,Ta),e(F,Ma),e(F,Nt),e(Nt,Oa),e(Nt,sn),e(sn,ya),e(Nt,qa),e(F,Ea),e(F,rn),e(rn,Ra),e(F,ja),e(F,H),w(Lt,H,null),e(H,Fa),e(H,ve),e(ve,za),e(ve,an),e(an,Ca),e(ve,Pa),e(ve,ln),e(ln,Aa),e(ve,Sa),e(H,Ia),w(Ye,H,null),e(H,Da),w(Ke,H,null),e(H,Na),w(Ze,H,null),e(F,La),e(F,et),w(Qt,et,null),e(et,Qa),e(et,Wt),e(Wt,Wa),e(Wt,mn),e(mn,Xa),e(Wt,Ba),e(F,Ha),e(F,tt),w(Xt,tt,null),e(tt,Va),e(tt,pn),e(pn,Ua),O(t,Un,$),O(t,ke,$),e(ke,ot),e(ot,dn),w(Bt,dn,null),e(ke,Ga),e(ke,cn),e(cn,Ja),O(t,Gn,$),O(t,ne,$),w(Ht,ne,null),e(ne,Ya),e(ne,un),e(un,Ka),e(ne,Za),e(ne,V),w(Vt,V,null),e(V,ei),e(V,xe),e(xe,ti),e(xe,fn),e(fn,oi),e(xe,ni),e(xe,gn),e(gn,si),e(xe,ri),e(V,ai),w(nt,V,null),e(V,ii),w(st,V,null),e(V,li),w(rt,V,null),O(t,Jn,$),O(t,we,$),e(we,at),e(at,hn),w(Ut,hn,null),e(we,mi),e(we,_n),e(_n,pi),O(t,Yn,$),O(t,S,$),w(Gt,S,null),e(S,di),e(S,$n),e($n,ci),e(S,ui),e(S,Jt),e(Jt,fi),e(Jt,vn),e(vn,gi),e(Jt,hi),e(S,_i),e(S,kn),e(kn,$i),e(S,vi),e(S,U),w(Yt,U,null),e(U,ki),e(U,be),e(be,xi),e(be,xn),e(xn,wi),e(be,bi),e(be,wn),e(wn,Ti),e(be,Mi),e(U,Oi),w(it,U,null),e(U,yi),w(lt,U,null),e(U,qi),w(mt,U,null),e(S,Ei),e(S,pt),w(Kt,pt,null),e(pt,Ri),e(pt,bn),e(bn,ji),Kn=!0},p(t,[$]){const Zt={};$&2&&(Zt.$$scope={dirty:$,ctx:t}),Re.$set(Zt);const Tn={};$&2&&(Tn.$$scope={dirty:$,ctx:t}),je.$set(Tn);const Mn={};$&2&&(Mn.$$scope={dirty:$,ctx:t}),Fe.$set(Mn);const On={};$&2&&(On.$$scope={dirty:$,ctx:t}),Pe.$set(On);const eo={};$&2&&(eo.$$scope={dirty:$,ctx:t}),Ae.$set(eo);const yn={};$&2&&(yn.$$scope={dirty:$,ctx:t}),Se.$set(yn);const qn={};$&2&&(qn.$$scope={dirty:$,ctx:t}),Ne.$set(qn);const En={};$&2&&(En.$$scope={dirty:$,ctx:t}),Le.$set(En);const J={};$&2&&(J.$$scope={dirty:$,ctx:t}),Qe.$set(J);const to={};$&2&&(to.$$scope={dirty:$,ctx:t}),We.$set(to);const Rn={};$&2&&(Rn.$$scope={dirty:$,ctx:t}),He.$set(Rn);const oo={};$&2&&(oo.$$scope={dirty:$,ctx:t}),Ve.$set(oo);const jn={};$&2&&(jn.$$scope={dirty:$,ctx:t}),Ue.$set(jn);const no={};$&2&&(no.$$scope={dirty:$,ctx:t}),Ye.$set(no);const so={};$&2&&(so.$$scope={dirty:$,ctx:t}),Ke.$set(so);const Fn={};$&2&&(Fn.$$scope={dirty:$,ctx:t}),Ze.$set(Fn);const ro={};$&2&&(ro.$$scope={dirty:$,ctx:t}),nt.$set(ro);const zn={};$&2&&(zn.$$scope={dirty:$,ctx:t}),st.$set(zn);const ao={};$&2&&(ao.$$scope={dirty:$,ctx:t}),rt.$set(ao);const Cn={};$&2&&(Cn.$$scope={dirty:$,ctx:t}),it.$set(Cn);const Pn={};$&2&&(Pn.$$scope={dirty:$,ctx:t}),lt.$set(Pn);const An={};$&2&&(An.$$scope={dirty:$,ctx:t}),mt.$set(An)},i(t){Kn||(b(n.$$.fragment,t),b(dt.$$.fragment,t),b(ct.$$.fragment,t),b(ft.$$.fragment,t),b(gt.$$.fragment,t),b(_t.$$.fragment,t),b($t.$$.fragment,t),b(vt.$$.fragment,t),b(xt.$$.fragment,t),b(Re.$$.fragment,t),b(je.$$.fragment,t),b(Fe.$$.fragment,t),b(wt.$$.fragment,t),b(bt.$$.fragment,t),b(Tt.$$.fragment,t),b(Ot.$$.fragment,t),b(Pe.$$.fragment,t),b(Ae.$$.fragment,t),b(Se.$$.fragment,t),b(yt.$$.fragment,t),b(qt.$$.fragment,t),b(Et.$$.fragment,t),b(jt.$$.fragment,t),b(Ne.$$.fragment,t),b(Le.$$.fragment,t),b(Qe.$$.fragment,t),b(We.$$.fragment,t),b(Ft.$$.fragment,t),b(zt.$$.fragment,t),b(Ct.$$.fragment,t),b(At.$$.fragment,t),b(He.$$.fragment,t),b(Ve.$$.fragment,t),b(Ue.$$.fragment,t),b(St.$$.fragment,t),b(It.$$.fragment,t),b(Dt.$$.fragment,t),b(Lt.$$.fragment,t),b(Ye.$$.fragment,t),b(Ke.$$.fragment,t),b(Ze.$$.fragment,t),b(Qt.$$.fragment,t),b(Xt.$$.fragment,t),b(Bt.$$.fragment,t),b(Ht.$$.fragment,t),b(Vt.$$.fragment,t),b(nt.$$.fragment,t),b(st.$$.fragment,t),b(rt.$$.fragment,t),b(Ut.$$.fragment,t),b(Gt.$$.fragment,t),b(Yt.$$.fragment,t),b(it.$$.fragment,t),b(lt.$$.fragment,t),b(mt.$$.fragment,t),b(Kt.$$.fragment,t),Kn=!0)},o(t){T(n.$$.fragment,t),T(dt.$$.fragment,t),T(ct.$$.fragment,t),T(ft.$$.fragment,t),T(gt.$$.fragment,t),T(_t.$$.fragment,t),T($t.$$.fragment,t),T(vt.$$.fragment,t),T(xt.$$.fragment,t),T(Re.$$.fragment,t),T(je.$$.fragment,t),T(Fe.$$.fragment,t),T(wt.$$.fragment,t),T(bt.$$.fragment,t),T(Tt.$$.fragment,t),T(Ot.$$.fragment,t),T(Pe.$$.fragment,t),T(Ae.$$.fragment,t),T(Se.$$.fragment,t),T(yt.$$.fragment,t),T(qt.$$.fragment,t),T(Et.$$.fragment,t),T(jt.$$.fragment,t),T(Ne.$$.fragment,t),T(Le.$$.fragment,t),T(Qe.$$.fragment,t),T(We.$$.fragment,t),T(Ft.$$.fragment,t),T(zt.$$.fragment,t),T(Ct.$$.fragment,t),T(At.$$.fragment,t),T(He.$$.fragment,t),T(Ve.$$.fragment,t),T(Ue.$$.fragment,t),T(St.$$.fragment,t),T(It.$$.fragment,t),T(Dt.$$.fragment,t),T(Lt.$$.fragment,t),T(Ye.$$.fragment,t),T(Ke.$$.fragment,t),T(Ze.$$.fragment,t),T(Qt.$$.fragment,t),T(Xt.$$.fragment,t),T(Bt.$$.fragment,t),T(Ht.$$.fragment,t),T(Vt.$$.fragment,t),T(nt.$$.fragment,t),T(st.$$.fragment,t),T(rt.$$.fragment,t),T(Ut.$$.fragment,t),T(Gt.$$.fragment,t),T(Yt.$$.fragment,t),T(it.$$.fragment,t),T(lt.$$.fragment,t),T(mt.$$.fragment,t),T(Kt.$$.fragment,t),Kn=!1},d(t){o(s),t&&o(_),t&&o(d),M(n),t&&o(v),t&&o(R),M(dt),t&&o(Sn),t&&o(D),M(ct),M(ft),M(gt),M(_t),t&&o(In),t&&o(pe),M($t),t&&o(Dn),t&&o(z),M(vt),M(xt),M(Re),M(je),M(Fe),M(wt),t&&o(Nn),t&&o(ce),M(bt),t&&o(Ln),t&&o(C),M(Tt),M(Ot),M(Pe),M(Ae),M(Se),M(yt),t&&o(Qn),t&&o(fe),M(qt),t&&o(Wn),t&&o(P),M(Et),M(jt),M(Ne),M(Le),M(Qe),M(We),M(Ft),t&&o(Xn),t&&o(he),M(zt),t&&o(Bn),t&&o(A),M(Ct),M(At),M(He),M(Ve),M(Ue),M(St),t&&o(Hn),t&&o($e),M(It),t&&o(Vn),t&&o(F),M(Dt),M(Lt),M(Ye),M(Ke),M(Ze),M(Qt),M(Xt),t&&o(Un),t&&o(ke),M(Bt),t&&o(Gn),t&&o(ne),M(Ht),M(Vt),M(nt),M(st),M(rt),t&&o(Jn),t&&o(we),M(Ut),t&&o(Yn),t&&o(S),M(Gt),M(Yt),M(it),M(lt),M(mt),M(Kt)}}}const pm={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"}],title:"Models"};function dm(E){return Nl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $m extends Al{constructor(s){super();Sl(this,s,dm,mm,Il,{})}}export{$m as default,pm as metadata};
